CREATE OR REPLACE TRIGGER "DADOSFORNECOMMERCE_SAAS"
AFTER INSERT OR UPDATE OR DELETE ON DADOSFORNECOMMERCE
FOR EACH ROW
DECLARE  
    V_EXIST_OPER_SAAS BOOLEAN DEFAULT TRUE;
    V_DSLOGINECO      DADOSFORNECOMMERCE.DSLOGINECO%TYPE;
    V_NRORG           DADOSFORNECOMMERCE.NRORG%TYPE;
BEGIN
    IF (INSERTING AND (:NEW.NRORG <> 20 AND :NEW.NRORG <> 1)) THEN		
        BEGIN
            SELECT DSLOGINECO, NRORG
              INTO V_DSLOGINECO, V_NRORG
              FROM USR_ORG_SAAS.DADOSFORNECOMMERCE
             WHERE DSLOGINECO = :OLD.DSLOGINECO
               AND CDFORNECED = :OLD.CDFORNECED
               AND NRORG = :OLD.NRORG;
        EXCEPTION
            WHEN NO_DATA_FOUND THEN BEGIN
                V_EXIST_OPER_SAAS := FALSE;
            END;    
        END;
        IF NOT V_EXIST_OPER_SAAS THEN 
            INSERT INTO USR_ORG_SAAS.DADOSFORNECOMMERCE (CDOPERFORN,CDFORNECED,DSLOGINECO,CDSENHAWEB,CDSENHA,IDACESSOCOT,IDACESSOAF,IDACESSOCR,NRORG,
                                                         IDATIVO,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,DSEMAILECO,
                                                         IDADMINISTRADOR,NMUSUARIOECO,IDACESSOUPLOAD) 
            VALUES (:NEW.CDOPERFORN, :NEW.CDFORNECED,:NEW.DSLOGINECO,:NEW.CDSENHAWEB,:NEW.CDSENHA,:NEW.IDACESSOCOT,:NEW.IDACESSOAF,:NEW.IDACESSOCR,:NEW.NRORG,
                    :NEW.IDATIVO,:NEW.DTINCLUSAO,:NEW.DTULTATU,:NEW.NRORGINCLUSAO,:NEW.CDOPERINCLUSAO,:NEW.NRORGULTATU,:NEW.CDOPERULTATU,:NEW.DSEMAILECO,
                    :NEW.IDADMINISTRADOR,:NEW.NMUSUARIOECO,:NEW.IDACESSOUPLOAD);
        END IF;
    ELSIF (UPDATING AND (:OLD.NRORG <> 20 AND :OLD.NRORG <> 1)) THEN
        BEGIN
            SELECT DSLOGINECO, NRORG
              INTO V_DSLOGINECO, V_NRORG
              FROM USR_ORG_SAAS.DADOSFORNECOMMERCE
             WHERE DSLOGINECO = :OLD.DSLOGINECO
               AND CDFORNECED = :OLD.CDFORNECED
               AND NRORG = :OLD.NRORG;
        EXCEPTION
            WHEN NO_DATA_FOUND THEN BEGIN
                V_EXIST_OPER_SAAS := FALSE;
            END;    
        END;
        IF NOT V_EXIST_OPER_SAAS THEN 
            INSERT INTO USR_ORG_SAAS.DADOSFORNECOMMERCE (CDOPERFORN,CDFORNECED,DSLOGINECO,CDSENHAWEB,CDSENHA,IDACESSOCOT,IDACESSOAF,IDACESSOCR,NRORG,
                                                         IDATIVO,DTINCLUSAO,DTULTATU,NRORGINCLUSAO,CDOPERINCLUSAO,NRORGULTATU,CDOPERULTATU,DSEMAILECO,
                                                         IDADMINISTRADOR,NMUSUARIOECO,IDACESSOUPLOAD) 
            VALUES (:NEW.CDOPERFORN, :NEW.CDFORNECED,:NEW.DSLOGINECO,:NEW.CDSENHAWEB,:NEW.CDSENHA,:NEW.IDACESSOCOT,:NEW.IDACESSOAF,:NEW.IDACESSOCR,:NEW.NRORG,
                    :NEW.IDATIVO,:NEW.DTINCLUSAO,:NEW.DTULTATU,:NEW.NRORGINCLUSAO,:NEW.CDOPERINCLUSAO,:NEW.NRORGULTATU,:NEW.CDOPERULTATU,:NEW.DSEMAILECO,
                    :NEW.IDADMINISTRADOR,:NEW.NMUSUARIOECO,:NEW.IDACESSOUPLOAD);
        ELSE
            UPDATE USR_ORG_SAAS.DADOSFORNECOMMERCE
               SET CDSENHAWEB      = :NEW.CDSENHAWEB,
                   CDSENHA         = :NEW.CDSENHA,
                   IDACESSOCOT     = :NEW.IDACESSOCOT,
                   IDACESSOAF      = :NEW.IDACESSOAF,
                   IDACESSOCR      = :NEW.IDACESSOCR,
                   IDATIVO         = :NEW.IDATIVO,
                   DTINCLUSAO      = :NEW.DTINCLUSAO,
                   DTULTATU        = :NEW.DTULTATU,
                   NRORGINCLUSAO   = :NEW.NRORGINCLUSAO,
                   CDOPERINCLUSAO  = :NEW.CDOPERINCLUSAO,
                   NRORGULTATU     = :NEW.NRORGULTATU,
                   CDOPERULTATU    = :NEW.CDOPERULTATU,
                   DSEMAILECO      = :NEW.DSEMAILECO,
                   IDADMINISTRADOR = :NEW.IDADMINISTRADOR,
                   NMUSUARIOECO    = :NEW.NMUSUARIOECO,
                   IDACESSOUPLOAD  = :NEW.IDACESSOUPLOAD,
                   CDOPERFORN      = :NEW.CDOPERFORN
             WHERE DSLOGINECO = :OLD.DSLOGINECO
               AND CDFORNECED = :OLD.CDFORNECED
               AND NRORG = :OLD.NRORG;  
        END IF;
    ELSIF (DELETING AND (:OLD.NRORG <> 20 AND :OLD.NRORG <> 1)) THEN
        DELETE FROM USR_ORG_SAAS.DADOSFORNECOMMERCE
         WHERE DSLOGINECO = :OLD.DSLOGINECO
           AND CDFORNECED = :OLD.CDFORNECED
           AND NRORG = :OLD.NRORG;
    END IF;
END DADOSFORNECOMMERCE_SAAS;
/